package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.model.wages.dao.WagesDetailsOriginalExcelDAO;
import com.ruoyi.system.model.wages.vo.WagesOverviewOriginalDataVO;
import com.ruoyi.system.service.WagesService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 2024/4/26
 */
@RestController
@RequestMapping("/wages")
public class WagesController {
    private Logger logger = LoggerFactory.getLogger(WagesController.class);

    private WagesService wagesService;

    public WagesController(WagesService wagesService) {
        this.wagesService = wagesService;
    }

    @PostMapping("/excel")
    public AjaxResult excelAnalysis(@RequestParam("file") MultipartFile file) {
        String s = wagesService.readOriginalData(file);
        new AjaxResult();
        return new AjaxResult(200, s);
    }

    @PostMapping("/overview")
    public List<WagesOverviewOriginalDataVO> salaries() {
        logger.info("overview");
        List<WagesOverviewOriginalDataVO> salaryList = wagesService.getSalaryList();
        return salaryList;
    }

    @RequestMapping("/details")
    public List<WagesDetailsOriginalExcelDAO> test(){
        List<WagesDetailsOriginalExcelDAO> list = wagesService.details();
        return list;
    }
}
